Bug 133378 - Crash if Print Preview is closed with User Interface “Groupedbar Compact”
Summary: Crash if Print Preview is closed with User Interface “Groupedbar Compact”
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.3.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2020-05-25 15:58 UTC by Harald Koester
Modified: 2021-05-19 04:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2020-05-25 15:58:04 UTC
It is not sure that the following procedure always leads to the crash. On my system it does in most cases. If you don't get a crash on your system you should try to play a bit with the View options (Options > LibreOffice > View).

In order to reproduce the bug:
[1] In order to start with a new user profile: Rename or delete user profile.
[2] Start LibreOffice.
[3] If not selected change to the English user interface and restart LibreOffice.
[4] Create new spreadsheet. Close Tip of the Day. Close blue Release Notes bar.
[5] Select user interface Groupedbar Compact with menu: View > User Interface >  Groupedbar Compact.
[6] Select icon style Karasa Jaga: Menu > Options… > View > Icon Style > Karasa Jaga. Then OK.
[7] In group View click icon Toggle Print Preview. “No Data” is displayed.
[8] In group Print click icon Close Preview. LibreOffice crashes.

Crash Report: 
crashreport.libreoffice.org/stats/crash_details/1bc5c4b3-b2d9-40f2-96e3-19b7a1a9d5b7

Bug 130187 describes a similar (or equal?) bug. The status of that bug is Resolved Fixed (fixed in versions 6.4.1 and 6.4.2). I have the suspect that 130187 or one of the dupes of 130187 has not been solved in versions 6.4.1 and 6.4.2.

Bug also exists with version 6.4.4.2. According a report on the German mailing list the bug also exists on Linux systems.
Comment 1 Xisco Faulí 2020-08-11 16:08:40 UTC
I can't reproduce it in

Version: 7.1.0.0.alpha0+
Build ID: 0de191e1d201d691c2196cf1aef412a98affb66f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Could you please try to reproduce it with a master build from http://dev-builds.libreoffice.org/daily/master/ ?
You can install it alongside the standard version.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the master build
Comment 2 Harald Koester 2020-08-16 16:07:11 UTC
I now checked this bug with several versions: 6.4.3 (adminstrative installation), 6.4.5 (administrative inst.), 7.0.0 (both administrative and standard installation) and 
Version: 7.1.0.0.alpha0+ (x64) (standard installation on hard disk)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-US
Calc: threaded

In all these versions the bug occured. But it's a bit tricky to reproduce this bug. So I modified the procedure a bit. This procedure leads more often to a crash than the procedure in the initial report:

[1] In order to start with a new user profile: Rename or delete user profile.
[2] Start LibreOffice.
[3] If not selected change to the English user interface and restart LibreOffice.
[4] Create new spreadsheet. Close Tip of the Day. Close blue Release Notes bar.
[5] Select user interface Groupedbar Compact with menu: View > User Interface >  Groupedbar Compact.
[6] Select icon style Karasa Jaga and large icon size for Notebookbar ("Menu > Options… > View > Icon Style > Karasa Jaga" and then "... Icon size > Notebookbar: > Large") Just wait a second before you click OK because you have to perform the next two steps quite quickly !!!
[7] In group View click icon Toggle Print Preview. “No Data” is displayed.
[8] In group Print click icon Close Preview. LibreOffice crashes.

My experience with this bug: 
(a) It's more probable that the bug occurs, if LibreOffice and also the user profile is installed on a hard disk and not on a SSD. (In my case the administrative versions are installed on a hard disk and the standard installation is on a SSD.)
(b) It's more probable that the bug occurs, the more components of LibreOffice (all word books, all languages for the user interface, ...) are installed.
Comment 3 Timur 2020-10-19 08:52:47 UTC
Original report is for Windows-only https://crashreport.libreoffice.org/stats/signature/ScDocument::GetEditPool() and latest Version is 6.4.3.2.

Reproduced with LO 7.0 beta in Windows per Comment 2 (profile wasn't empty). 
I added some text, so sheet didn't have to be empty. 
But next time I couldn't reproduce. 
crashreport.libreoffice.org/stats/crash_details/7d6e69d9-6c08-445c-8ab8-b1870c6c555f
Signature is different and more general ["sclo.dll"] with multiple bug reports. 
So I will not confirm, we don't have reproducible steps. 

Also no repro with master 7.1+.
Comment 4 Timur 2020-10-19 09:01:01 UTC
Let's set NeedInfo for further info and confirmation with daily master 7.1+.
Note that in one of the duplicates of fixed bug it's confirmed both for Win and Lin, where Lin crashed not on close of Print Preview, but on Lo exit after that.
Comment 5 QA Administrators 2021-04-18 03:49:12 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2021-05-19 04:39:46 UTC
Dear Harald Koester,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp